package com.zhangmeng.online.exam.ui.api.form;

import com.zhangmeng.online.exam.ui.api.form.base.Form;
import com.zhangmeng.online.exam.ui.controller.PaperEditController;
import javafx.fxml.FXMLLoader;

import java.io.IOException;

/**
 * @author zm
 * @date 2025/4/6 14:52
 * @version: 1.0
 */
public class PaperForm extends Form {
    private PaperEditController controller;

    public PaperEditController getController() {
        return controller;
    }
    public PaperForm() {
        try {
            FXMLLoader fxmlLoader = new FXMLLoader(getClass().getResource("/fxml/paper-edit.fxml"));
            this.getChildren().add(fxmlLoader.load());
            controller = fxmlLoader.getController();
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }

}
